# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "padzapp"
version = "0.11.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A fast, project-aware scratch pad library"
readme = "README.md"
keywords = [
    "notes",
    "scratchpad",
    "productivity",
]
categories = ["development-tools"]
license = "MIT"
repository = "https://github.com/arthur-debert/padz"

[features]
default = []
test_utils = []

[lib]
name = "padzapp"
path = "src/lib.rs"

[[test]]
name = "fs_backend_test"
path = "tests/fs_backend_test.rs"

[[test]]
name = "fs_wrapper_test"
path = "tests/fs_wrapper_test.rs"

[[test]]
name = "title_referencing"
path = "tests/title_referencing.rs"

[dependencies.chrono]
version = "0.4.42"
features = ["serde"]

[dependencies.directories]
version = "6.0.0"

[dependencies.flate2]
version = "1.1.5"

[dependencies.once_cell]
version = "1.19"

[dependencies.pulldown-cmark]
version = "0.12"

[dependencies.pulldown-cmark-to-cmark]
version = "17"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.tar]
version = "0.4.44"

[dependencies.thiserror]
version = "2.0.17"

[dependencies.timeago]
version = "0.4"

[dependencies.unicode-width]
version = "0.2.2"

[dependencies.uuid]
version = "1.19.0"
features = [
    "v4",
    "serde",
]

[dev-dependencies.tempfile]
version = "3.10.1"
